curl --request GET \
--url https://api-{dc}.moengage.com/v1/coupon-list/{coupon_list_id}/files/{coupon_file_id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'MOE-APPKEY: <moe-appkey>'{
"coupon_list_id": "<string>",
"name": "<string>",
"status": "<string>",
"file_url": "<string>",
"created_by": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"_id": "<string>",
"added_coupons": 123
}{
"error": {
"code": "bad-request",
"message": "Possible issues include duplicates, such as coupon list names, invalid data types, or missing mandatory attributes."
}
}{
"error": {
"code": "request-unauthenticated",
"message": "Your request is unauthorized. Please verify your credentials and try again."
}
}{
"error": {
"code": "request-forbidden",
"message": "Your account does not have access to the Coupon Management features. Contact the MoEngage team for further assistance."
}
}{
"error": {
"code": "unexpected-error",
"message": "Something went wrong with your request. Please contact the MoEngage team for further assistance."
}
}This API retrieves the details of a particular coupon file added to a given coupon list. This includes information such as file status, the number of added coupons, and the file addition date.
curl --request GET \
--url https://api-{dc}.moengage.com/v1/coupon-list/{coupon_list_id}/files/{coupon_file_id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'MOE-APPKEY: <moe-appkey>'{
"coupon_list_id": "<string>",
"name": "<string>",
"status": "<string>",
"file_url": "<string>",
"created_by": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"_id": "<string>",
"added_coupons": 123
}{
"error": {
"code": "bad-request",
"message": "Possible issues include duplicates, such as coupon list names, invalid data types, or missing mandatory attributes."
}
}{
"error": {
"code": "request-unauthenticated",
"message": "Your request is unauthorized. Please verify your credentials and try again."
}
}{
"error": {
"code": "request-forbidden",
"message": "Your account does not have access to the Coupon Management features. Contact the MoEngage team for further assistance."
}
}{
"error": {
"code": "unexpected-error",
"message": "Something went wrong with your request. Please contact the MoEngage team for further assistance."
}
}Rate Limit
You can fetch 10,000 coupon files from a coupon list per day.Authorizations
Authentication is done via Basic Auth. This requires a base64-encoded string of your credentials in the format 'username:password'.
- Username: Use your MoEngage workspace ID (also known as the App ID). You can find it in the MoEngage dashboard at Settings > Account > APIs > Workspace ID (earlier app id).
- Password: Use your API Key, which you can find within the Campaign report/Business events/Custom templates/Catalog API/Inform Report tile.
For more information on authentication and getting your credentials, refer here.
Headers
This is the Workspace ID of your MoEngage account that must be passed with the request. You can find it in the MoEngage dashboard at Settings > Account > APIs > Workspace ID (earlier app id).
Path Parameters
The unique identifier for the coupon list.
The unique identifier for the coupon file.
Response
Success Indicates that the request was successful and the coupon file was fetched.
This field contains the coupon list ID from which you fetched the coupon file.
This field contains the coupon file name.
This field shows one of the following statuses of the fetched coupon file:
- PENDING
This field consists of the file path of the coupon list.
This field consists of the name of the subscriber who uploaded the coupon file.
This field consists of the date and time the coupon file was created.
This field consists of the date and time of the most recent update to the coupon file.
This field contains the unique ID corresponding to a successful coupon file fetch request. This ID is also used to update and archive coupon files from the coupon list.
This field consists of the available number of coupons added to the coupon list.